//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 2.8.9, s. 87
//---------------------------------------------------------------
public class AlaspainLaskureita {

  // tietorakenne:
  private int[] laskurit;

  // konstruktori:
  public AlaspainLaskureita(int kpl) {
    if (kpl<=1)
      laskurit = new int[1];
    else
      laskurit = new int[kpl];
    for (int i=0; i<laskurit.length; ++i)
      laskurit[i] = 100;
  }

  // aksessori:
  public int seuraava(int n) {
    if (n<0 || n>=laskurit.length)
      return -1;
    int arvo = laskurit[n];
    if (laskurit[n]>0)
      --laskurit[n];
    return arvo;
  }

  // testipohjelma:
  public static void main(String[] args) {

    AlaspainLaskureita a = new AlaspainLaskureita(10);
    AlaspainLaskureita b = new AlaspainLaskureita(-10);

    // vhentyminen:
    System.out.println(a.seuraava(3));
    System.out.println(a.seuraava(3));
    System.out.println(a.seuraava(3));

    // virheellinen alkio:
    System.out.println(a.seuraava(12));

    // loppuuko vheneminen:
    for (int i=0; i<98; ++i) {
       int apu = a.seuraava(7);
    }
    System.out.println(a.seuraava(7));
    System.out.println(a.seuraava(7));
    System.out.println(a.seuraava(7));
    System.out.println(a.seuraava(7));

    // tuliko yhden mittaiseksi vrst konstruoinnista:
    System.out.println(b.seuraava(0));
    System.out.println(b.seuraava(0));
    System.out.println(b.seuraava(1));
  }
}
