//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 2.8.4, s. 80
//
// Huom: Kuplajrjestmiselle ja lisysjrjestmiselle on
//       tss hakemistossa mys omat testiluokkansa 
//       KuplaJarj ja LisaysJarj luokan VaihtoJarj tapaan.
//       Kirjassa vain vaihtojrjestmisen algoritmilla
//       on oma testiluokkansa.
//
//---------------------------------------------------------------
public class LisaysJarj {

  private static void lisaysJarjesta(int[] taulu) {
    for (int i=1; i<taulu.length; ++i) {
      int apu = taulu[i];
      int j = i;
      while (j > 0 && taulu[j-1] > apu) {
        taulu[j] = taulu[j-1];
        --j;
      }
      taulu[j] = apu;
    }
  }

  public static void main(String[] args) { // testipohjelma

    int[] a = {40, 20, 50, 10, 30};

    for (int i=0; i<a.length; ++i)
       System.out.print(a[i]+" ");
    System.out.println();

    lisaysJarjesta(a);

    for (int i=0; i<a.length; ++i)
       System.out.print(a[i]+" ");
    System.out.println();
  }
}
