//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 2.8.5, s. 81
//---------------------------------------------------------------
public class STauluKoe {

  private static void tulostaSTaulu(String[] taulu) {
    System.out.println("\n ---- taulukon koko: "+taulu.length+":");
    for (int i=0; i<taulu.length; ++i)
      System.out.println(taulu[i]);
  }

  public static void main(String[] args) {

    String[] ekaTaulu,
             tokaTaulu = new String[5],
             kolmasTaulu = {"kissa", "hiiri", "koira"};

    tulostaSTaulu(kolmasTaulu);

    tulostaSTaulu(tokaTaulu);  // null-alkuarvot

    for (int i=0; i<tokaTaulu.length; ++i)
      tokaTaulu[i] = "(" + i + ")";

    tulostaSTaulu(tokaTaulu);

    //  tulostaSTaulu(ekaTaulu); OLISI TSS VIRHEELLINEN!

    ekaTaulu = kolmasTaulu;    // kopioidaan viite!
    tulostaSTaulu(ekaTaulu);

    ekaTaulu = tokaTaulu;
    tulostaSTaulu(ekaTaulu);

    tulostaSTaulu(args);       // komentoriviparametrit
  }
}
