//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 2.8.4, s. 78
//
// Huom: Kuplajrjestmiselle ja lisysjrjestmiselle on
//       tss hakemistossa mys omat testiluokkansa 
//       KuplaJarj ja LisaysJarj luokan VaihtoJarj tapaan.
//       Kirjassa vain vaihtojrjestmisen algoritmilla
//       on oma testiluokkansa.
//
//---------------------------------------------------------------
public class VaihtoJarj { // Yksinkertainen vaihtojrjestminen

   private static void vaihtoJarjesta(int[] taulu) {
     for (int i=0; i < taulu.length-1; ++i)
       for (int j=i+1; j < taulu.length; ++j)
         if (taulu[i] > taulu[j]) { // jos jrjestys vr,
            int apu = taulu[i];     // vaihdetaan
            taulu[i] = taulu[j];
            taulu[j] = apu;
         }
   }

  public static void main(String[] args) { // testipohjelma

    int[] a = {40, 20, 50, 10, 30};

    for (int i=0; i<a.length; ++i)
       System.out.print(a[i]+" ");
    System.out.println();

    vaihtoJarjesta(a);

    for (int i=0; i<a.length; ++i)
       System.out.print(a[i]+" ");
    System.out.println();
  }
}
