//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 3.5.5, s. 128
//---------------------------------------------------------------
public class BinHaeRec {

  private static int binHaeRec(int[] taulu, int haettava,
                               int vasen, int oikea)     {

    int keskiKohta = (vasen+oikea)/2;
    if (vasen > oikea)
      return -1;
    if (haettava == taulu[keskiKohta])
      return keskiKohta;
    if (haettava < taulu[keskiKohta])
      return binHaeRec(taulu, haettava, vasen, keskiKohta-1);
    else
      return binHaeRec(taulu, haettava, keskiKohta+1, oikea);

  }

  public static void main(String[] args) {
    int[] a = {10, 20, 30, 40, 50};
    System.out.println(binHaeRec(a, 30, 0, a.length-1));
  }
}
