//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 5.1.5, s. 194
//---------------------------------------------------------------
import java.io.*;

public class PoikkeusKokeita {

  public static void main(String[] args) {

    BufferedReader stdin
       = new BufferedReader(new InputStreamReader(System.in));

    String jono=null;

    try {
        System.out.print("Anna kokonaisluku: ");
        System.out.flush();
        jono = stdin.readLine();
        int uluku = Integer.parseInt(jono);
        System.out.println("Se oli: "+uluku);
    } catch (Exception e) {
        System.out.println("Virhe: "+e);
    }

    boolean ok;
    do {
      try {
          System.out.print("Anna desimaaliluku: ");
          System.out.flush();
          jono = stdin.readLine();
          double udluku = new Double(jono).doubleValue();
          System.out.println("Se oli: "+udluku);
          ok = true;
      } catch (Exception e) {
        System.out.println("Virhe: "+e);
        ok = false;
      }
    } while (!ok && jono!=null);
  }
}
