//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 5.1.6, s. 196
//---------------------------------------------------------------
import java.io.*;

public class UPoiKo {

  public static void main(String[] args) {

    BufferedReader stdin
      = new BufferedReader(new InputStreamReader(System.in));

    boolean loppu=false;

    do {
      try {
          System.out.print("Anna desimaaliluku: ");
          System.out.flush();
          String jono = stdin.readLine();
          double udluku = new Double(jono).doubleValue();
          System.out.println("Se oli: "+udluku);
          loppu = true;
      } catch (NumberFormatException e) {
        System.out.println("Virhe: ei kelpaa numeroksi");
      } catch (NullPointerException e) {
        System.out.println("Virhe: tiedosto loppui");
        loppu = true;
      } catch (IOException e) {
        System.out.println("Virhe: jotain mt tiedostossa");
        loppu = true;
      }
    } while (!loppu);
  }
}
