//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 2.8.3, s.77
//---------------------------------------------------------------
public class BinHae {  // Binrihaku jrjestetyst int-taulukosta

  private static int binHae(int[] taulu, int haettava) {

    int vasen = 0;
    int oikea = taulu.length-1;
    int keski;

    while (vasen <= oikea) {
      keski = (vasen+oikea)/2;

      if (haettava == taulu[keski])
        return keski;     // lytyi ja lopetetaan!

      if (haettava < taulu[keski])
        oikea = keski-1;
      else
        vasen = keski+1;
    }
    return -1;  // hakualue tuli tyhjksi eik lytynyt
  }

  public static void main(String[] args) { // testipohjelma

    int[] a = {10, 20, 30, 40, 50};
                                        // tulostus
    System.out.println(binHae(a, 5));   //   -1
    System.out.println(binHae(a, 10));  //   0
    System.out.println(binHae(a, 20));  //   1
    System.out.println(binHae(a, 30));  //   2
    System.out.println(binHae(a, 35));  //   -1
    System.out.println(binHae(a, 40));  //   3
    System.out.println(binHae(a, 50));  //   4
    System.out.println(binHae(a, 60));  //   -1

  }
}
