//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 2.8.4, s. 79
//
// Huom: Kuplajrjestmiselle ja lisysjrjestmiselle on
//       tss hakemistossa mys omat testiluokkansa 
//       KuplaJarj ja LisaysJarj luokan VaihtoJarj tapaan.
//       Kirjassa vain vaihtojrjestmisen algoritmilla
//       on oma testiluokkansa.
//
//---------------------------------------------------------------
public class KuplaJarj { // Yksinkertainen vaihtojrjestminen

   private static void kuplaJarjesta(int[] taulu) {
     for (int i=taulu.length; i > 0; --i)
       for (int j=0; j < i-1; ++j)
         if (taulu[j] > taulu[j+1]) { // jos jrjestys vr,
            int apu = taulu[j];       // vaihdetaan
            taulu[j] = taulu[j+1];
            taulu[j+1] = apu;
         }
   }

  public static void main(String[] args) { // testipohjelma

    int[] a = {40, 20, 50, 10, 30};

    for (int i=0; i<a.length; ++i)
       System.out.print(a[i]+" ");
    System.out.println();

    kuplaJarjesta(a);

    for (int i=0; i<a.length; ++i)
       System.out.print(a[i]+" ");
    System.out.println();
  }
}
