//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 4.3.6, s. 164
//---------------------------------------------------------------
public class Ohjelma{

  // "globaalit vakiot ja muuttujat":
  static final int KOKO = 10;
  static int luku, indeksi;
  static double[] taulu = new double[KOKO];

  // "proseduurit" tai "void-funktiot":
  static void arvoluvut(int skaalaus) {
    for (int i=0; i<KOKO; ++i)
      taulu[i] = Math.random()*skaalaus;
  }
  static void tervetuloa() {
    System.out.println("   Tervetuloa\n"
                      +"   ==========");
  }
  // "funktiot" tai "arvon palauttavat funktiot":
  static double siniToiseen(double argu) {
    return Math.sin(argu)*Math.sin(argu);
  }
  // "pohjelma":
  public static void main(String[] args) {
    tervetuloa();
    arvoluvut(14);
    for (int i=0; i<KOKO; ++i)
       System.out.println(siniToiseen(taulu[i]));
  }
}
