//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 4.3.4, s. 160
// Kirjassa testit ovat vain lauseina, tss on mys
// pohjelma.
//---------------------------------------------------------------
public class TestaaLista {
  public static void main(String[] args) {

// Luonti ja pituus:
    Lista p = new Lista(); // tyhj lista
    System.out.println(p);
    System.out.println("pituus: "+p.pituus());

    /*  TULOSTUS:
        -||
        pituus: 0  */

    p.vieAlkuun(7);
    System.out.println(p);
    System.out.println("pituus: "+p.pituus());

    /*  TULOSTUS:
        -> (7) -||
        pituus: 1  */

    p.vieLoppuun(3);
    System.out.println(p);
    System.out.println("pituus: "+p.pituus());

    /*  TULOSTUS:
        -> (7) -> (3) -||
        pituus: 2
    */

    p.vieLoppuun(19);
    System.out.println(p);
    System.out.println("pituus: "+p.pituus());

    /*  TULOSTUS:
        -> (7) -> (3) -> (19) -||
        pituus: 3  */
 
// Etsint:
    System.out.println("Monentenako 7? "+p.monentenako(7));
    System.out.println("Monentenako 3? "+p.monentenako(3));
    System.out.println("Monentenako 19? "+p.monentenako(19));
    System.out.println("Monentenako 5? "+p.monentenako(5));

    /*  TULOSTUS:
        Monentenako 7? 1
        Monentenako 3? 2
        Monentenako 19? 3
        Monentenako 5? -1  */

    Lista q = new Lista(); // tyhj lista, vain tunnussolmu
    System.out.println(q);
    System.out.println("pituus: "+q.pituus());
    System.out.println("Monentenako 7? "+q.monentenako(7));

    /*  TULOSTUS:
    -||
    pituus: 0
    Monentenako 7? -1  */

// Liittminen, 2 ei-tyhj:
    Lista s = new Lista();
    s.vieLoppuun(3);
    s.vieAlkuun(102);
    System.out.println("1. lista:    "+ s);
    System.out.println("2. lista:    "+ p);
    s.liita(p);
    System.out.println("liitettyin: "+ s);

    /*  TULOSTUS:
        1. lista:    -> (102) -> (3) -||
        2. lista:    -> (7) -> (3) -> (19) -||
        liitettyin: -> (102) -> (3) -> (7) -> (3) -> (19) -||  */

// Liittminen, 2. tyhj:
    Lista t = new Lista();
    t.vieAlkuun(-23);
    t.vieAlkuun(-2);
    Lista v = new Lista();
    System.out.println("1. lista:    "+ t);
    System.out.println("2. lista:    "+ v);
    t.liita(v);
    System.out.println("liitettyin: "+ t);

    /*  TULOSTUS:
        1. lista:    -> (-2) -> (-23) -||
        2. lista:    -||
        liitettyin: -> (-2) -> (-23) -||  */
 
// Liittminen, 1. tyhj:
    System.out.println("1. lista:    "+ v);
    System.out.println("2. lista:    "+ t);
    v.liita(t);
    System.out.println("liitettyin: "+ v);

    /*  TULOSTUS:
        1. lista:    -||
        2. lista:    -> (-2) -> (-23) -||
        liitettyin: -> (-2) -> (-23) -||  */

// Kopiointi, ei-tyhj:
    System.out.println("kopioitava: "+ s);
    System.out.println("kopio:      "+ s.kopio());

    /*  TULOSTUS:
        kopioitava: -> (102) -> (3) -> (7) -> (3) -> (19) -||
        kopio:      -> (102) -> (3) -> (7) -> (3) -> (19) -|| */

// Kopiointi, tyhj:
    Lista r = new Lista();
    System.out.println("kopioitava: "+ r);
    System.out.println("kopio:      "+ r.kopio());

    /*  TULOSTUS:
        kopioitava: -||
        kopio:      -||
    */


  }
}
