//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 5.2.2, s. 200
//---------------------------------------------------------------
import java.io.*;

public class Talleta2 {

  public static void main(String[] args)
                        throws IOException {

    System.out.println("Minne tulostetaan?");
    String tulNimi=Lue.rivi();

    File tulTd = new File(tulNimi);

    if (tulTd.exists()) {
      System.out.println("Tiedosto "+tulNimi+" on jo olemassa");
      System.out.println("Haluatko korvata sen uudella (k = kyll)?");
      if (Lue.merkki() != 'k')
        return; // keskeytetn kaikki
    }

    PrintWriter tulos =
          new PrintWriter(
                   new FileOutputStream(tulTd),
                   true
              );

    System.out.println("Kirjoitetaan tiedostoon "+tulNimi);
    System.out.println("(ctrl-d lopettaa)\n");
                      // Unixissa
    String rivi;

    while ((rivi = Lue.rivi()) != null)
       tulos.println(rivi);

    System.out.println("Tyt tehty\n");
  }
}
