//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 5.3.1, s. 205
//---------------------------------------------------------------
import java.io.*;
public class KaikkeaSarjaan {

  public static void main(String[] args) throws Exception {

    FileOutputStream ulosF = new FileOutputStream("turva.tmp");
    ObjectOutputStream ulos = new ObjectOutputStream(ulosF);

    FileInputStream sisnF = new FileInputStream("turva.tmp");
    ObjectInputStream sisn = new ObjectInputStream(sisnF);

    int i = 100;                       // lukuja
    String s = "kissa";                // String-olioita
    KuuLaskuri k = new KuuLaskuri();   // omia olioita
    k.seuraavaKuu();
    k.seuraavaKuu();
    int[] t ={1,2,3};                  // taulukkoja

    System.out.println("Ensin:");
    System.out.println(i+" "+s+" "+k.moneskoKuu());
    for (int j=0; j<t.length; ++j)
       System.out.print(t[j]+" ");
    System.out.println();

    ulos.writeInt(i);
    ulos.writeObject(s);
    ulos.writeObject(k);
    ulos.writeObject(t);
    ulos.flush();
    ulosF.close();

    i = -1; s = "hiiop"; k = new KuuLaskuri();
    t[1] = -123;

    System.out.println("Sitten:");
    System.out.println(i+" "+s+" "+k.moneskoKuu());
    for (int j=0; j<t.length; ++j)
       System.out.print(t[j]+" ");
    System.out.println();

    i = sisn.readInt();
    s = (String)sisn.readObject();
    k = (KuuLaskuri)sisn.readObject();
    t = (int[])sisn.readObject();
    sisnF.close();

    System.out.println("Lopuksi:");
    System.out.println(i+" "+s+" "+k.moneskoKuu());
    for (int j=0; j<t.length; ++j)
       System.out.print(t[j]+" ");
    System.out.println();
  }
}

