//---------------------------------------------------------------
// Arto Wikla: Ohjelmoinnin perusteet Java-kielell, OtaDATA 1998
// kappale 5.3.2, s. 207
//---------------------------------------------------------------
import java.io.*;
public class ListaTalteen {
  public static void main(String[] args) throws Exception {

    FileOutputStream ulosF = new FileOutputStream("lista.tmp");
    ObjectOutputStream ulos = new ObjectOutputStream(ulosF);

    FileInputStream sisnF = new FileInputStream("lista.tmp");
    ObjectInputStream sisn = new ObjectInputStream(sisnF);

    Lista p = new Lista();

    p.tieto = 7;
    p.linkki = new Lista();
    p.linkki.tieto = 3;
    p.linkki.linkki = new Lista();
    p.linkki.linkki.tieto = 19;

    System.out.println("Lista ensin:");
    for(Lista q=p; q!=null; q=q.linkki)
      System.out.println(q.tieto);

    ulos.writeObject(p);
    ulos.flush();
    ulosF.close();

    p = new Lista();
    p.tieto = -100;
    System.out.println("Lista sitten:");
    for(Lista q=p; q!=null; q=q.linkki)
      System.out.println(q.tieto);

    p = (Lista)sisn.readObject();
    sisnF.close();

    System.out.println("Lista lopuksi:");
    for(Lista qq=p; qq!=null; qq=qq.linkki)
      System.out.println(qq.tieto);
  }
}
